using System.Text.Json.Serialization;

namespace RobotNet.SystemUpgrade;

public sealed record UploadFileResponse(string Name, long Size, string Url);
public sealed record FileItem(string Name, long Size, DateTime CreatedUtc, string Url);

[JsonSerializable(typeof(UploadFileResponse))]
[JsonSerializable(typeof(FileItem))]
internal partial class AppJsonSerializerContext : JsonSerializerContext
{
}
